Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dynamic
Class DynamicPropertyIterator

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.beans.PropertyIterator
            |
            +--org.apache.commons.jxpath.ri.model.dynamic.DynamicPropertyIterator

All Implemented Interfaces:
  NodeIterator

public class DynamicPropertyIterator
extends PropertyIterator

`DynamicPropertyIterator` is different from a regular `PropertyIterator` in that given a property name it will always find that property (albeit with a null value).

Version:
  $Id: DynamicPropertyIterator.java,v 1.2 2003/01/11 05:41:26 dmitri Exp $
Author:
  Dmitri Plotnikov

Constructor Summary
`DynamicPropertyIterator(PropertyOwnerPointer pointer, java.lang.String name, boolean reverse, NodePointer startWith)`

Method Summary
`protected void` | `prepareForIndividualProperty(java.lang.String name)`

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyIterator
`getNodePointer, getPosition, getPropertyPointer, reset, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicPropertyIterator

    public DynamicPropertyIterator(PropertyOwnerPointer pointer,
                                   java.lang.String name,
                                   boolean reverse,
                                   NodePointer startWith)

Method Detail

### prepareForIndividualProperty

    protected void prepareForIndividualProperty(java.lang.String name)

  Overrides:
    `prepareForIndividualProperty` in class `PropertyIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.